function debugText()
    local tileX = math.floor(p.x / map.tileWidth)
    local tileY = math.floor(p.y / map.tileHeight)
    local fpsText = love.timer.getFPS()
    local x, y = (math.floor(p.x)), (math.floor(p.y))
    
    lg.setColor(255, 255, 255)
    lg.print("FPS: "..fpsText.." Player coordinates: ("..x..","..y..")", 5, 5)
        
    if not (isDead) then
      lg.print("Lives: "..p.lives.." Current state: "..p.state, 5, 20)
    else
      lg.print("PLAYER IS DEAD.", 5, 20)
    end
      
    lg.print("Current tile: ("..tileX..", "..tileY..")", 5, 35)
    
    lg.print("x_vel: "..p.x_vel, 5, 50)

end