mapfiles = {"thug_test.tmx"}

function loadMap(lvl)
  current_map = lvl
  map = ATL.Loader.load(mapfiles[lvl])
	map.drawObjects = false
  
  map.enemies = {}
	map.entities = {}
  map.doors = {}

	map.time = 0

	MAPW = map.width*32
	MAPH = map.height*32
  map.startx = 0
  map.starty = 0
  
  local solid = map.tl["solid"]
  solid.isOpaque = true
  
  for i,v in ipairs(map.objectLayers.obj.objects) do
		if v.type == "start" then
      map.startx = (v.x+8)
			map.starty = v.y
    elseif v.type == "door" then
      table.insert(map.doors, Door.create(v.x, v.y, v.name, v.properties))
    elseif v.type == "thug" then
      print("y = "..v.y)
			thug = table.insert(map.enemies, Thug.create((v.x+8), v.y))
--[[elseif v.type == "exit" then
      table.insert(map.entities, Exit.create(v.x, v.y))]]--
    end
	end
end